Blame SOURCES/ksh-20100826-fixregr.patch

1a53a7
diff -up ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/builtins.sh
1a53a7
--- ksh-20120801/src/cmd/ksh93/tests/builtins.sh.fixregr	2012-07-16 17:23:56.000000000 +0200
1a53a7
+++ ksh-20120801/src/cmd/ksh93/tests/builtins.sh	2012-08-08 12:29:00.733243019 +0200
1a53a7
@@ -303,9 +303,9 @@ then	err_exit "printf '%..*s' not workin
1a53a7
 fi
1a53a7
 [[ $(printf '%q\n') == '' ]] || err_exit 'printf "%q" with missing arguments'
1a53a7
 # we won't get hit by the one second boundary twice, right?
1a53a7
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
1a53a7
-[[ $(printf '%T\n' now) == "$(date)" ]] ||
1a53a7
-err_exit 'printf "%T" now'
1a53a7
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
1a53a7
+[[ $(printf '%T\n' now | sed 's/GMT/UTC/') == "$(date)" ]] ||
1a53a7
+err_exit 'printf "%T" now = '"$(printf '%T\n' now) != $(date)"
1a53a7
 behead()
1a53a7
 {
1a53a7
 	read line
1a53a7
diff -up ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr ksh-20120801/src/cmd/ksh93/tests/locale.sh
1a53a7
--- ksh-20120801/src/cmd/ksh93/tests/locale.sh.fixregr	2012-06-26 21:57:46.000000000 +0200
1a53a7
+++ ksh-20120801/src/cmd/ksh93/tests/locale.sh	2012-08-08 12:29:20.039405240 +0200
1a53a7
@@ -104,6 +104,7 @@ if	(( $($SHELL -c $'export LC_ALL='$loca
1a53a7
 then	LC_ALL=$locale $SHELL -c b1=$'"\342\202\254\342\202\254\342\202\254\342\202\254w\342\202\254\342\202\254\342\202\254\342\202\254"; [[ ${b1:4:1} == w ]]' || err_exit 'multibyte ${var:offset:len} not working correctly'
1a53a7
 fi
1a53a7
 
1a53a7
+locale=en_US.UTF-8
1a53a7
 #$SHELL -c 'export LANG='$locale'; printf "\u[20ac]\u[20ac]" > $tmp/two_euro_chars.txt'
1a53a7
 printf $'\342\202\254\342\202\254' > $tmp/two_euro_chars.txt
1a53a7
 exp="6 2 6"
1a53a7
@@ -111,11 +112,11 @@ set -- $($SHELL -c "
1a53a7
 	unset LC_CTYPE
1a53a7
 	export LANG=$locale
1a53a7
 	export LC_ALL=C
1a53a7
-	command wc -C < $tmp/two_euro_chars.txt
1a53a7
+	command wc -m < $tmp/two_euro_chars.txt
1a53a7
 	unset LC_ALL
1a53a7
-	command wc -C < $tmp/two_euro_chars.txt
1a53a7
+	command wc -m < $tmp/two_euro_chars.txt
1a53a7
 	export LC_ALL=C
1a53a7
-	command wc -C < $tmp/two_euro_chars.txt
1a53a7
+	command wc -m < $tmp/two_euro_chars.txt
1a53a7
 ")
1a53a7
 got=$*
1a53a7
 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
1a53a7
@@ -134,6 +135,8 @@ set -- $($SHELL -c "
1a53a7
 got=$*
1a53a7
 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
1a53a7
 
1a53a7
+locale=C_EU.UTF-8
1a53a7
+
1a53a7
 # multibyte char straddling buffer boundary
1a53a7
 
1a53a7
 {
1a53a7
@@ -190,6 +193,7 @@ do	exp=$1
1a53a7
 done
1a53a7
 
1a53a7
 # setocale(LC_ALL,"") after setlocale() initialization
1a53a7
+locale=en_US.UTF-8
1a53a7
 
1a53a7
 printf 'f1\357\274\240f2\n' > input1
1a53a7
 printf 't2\357\274\240f1\n' > input2
1a53a7
@@ -336,7 +340,7 @@ then	LC_ALL=en_US.UTF-8
1a53a7
 	[[ $(print -r -- "$x") == $'hello\u[20ac]\xee world' ]] || err_exit '%q with unicode and non-unicode not working'
1a53a7
 	if	[[ $(whence od) ]]
1a53a7
 	then	got='68 65 6c 6c 6f e2 82 ac ee 20 77 6f 72 6c 64 0a'
1a53a7
-		[[ $(print -r -- "$x" | od -An -tx1) == "$got" ]] || err_exit "incorrect string from printf %q"
1a53a7
+		[[ $(print -r -- "$x" | od -An -tx1) =~ $got ]] || err_exit "incorrect string from printf %q"
1a53a7
 	fi
1a53a7
 	
1a53a7
 fi